<?php

/**
 * @file
 * All Node tables' update functions.
 */

/**
 * Update a record in the node_type table. Use with Caution!
 *
 * @param $ret
 *   An array with the results of the hook_update_N() call.
 * @param $types
 *   An array of node types to be updated, keyed by the type name.  The value 
 *   should be an array of fields to be updated for this node type.
 */
function update_api_node_type(&$ret, $types) {
  foreach($types as $name => $fields) {
    foreach($fields as $field_name => $value) {
      if (is_string($value)) {
        $ret[] = update_sql("UPDATE {node_type} SET $field_name = '$value' WHERE type = '$name'");
      }
      else {
        $ret[] = update_sql("UPDATE {node_type} SET $field_name = $value WHERE type = '$name'");
      }
    }
  }
}